Bug 11721 - Не делать merge бранча с master'ом если этот бранч и есть master
: Не делать merge бранча с master'ом если этот бранч и есть master
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gear)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-05-08 14:58 by
Modified: 2007-05-26 11:22 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-05-08 14:58:26
coder@alt0 ~/wmclockmon/wmclockmon.git $ gear-srpmimport --no-unpack
--branch=master ../wmclockmon-0.8.1-alt2.1.src.rpm 
Created commit 10d7bf082b4b6abc5e4ffc54eb51e438782c16d5
 1 files changed, 4 insertions(+), 1 deletions(-)
gear-srpmimport: Imported /home/coder/wmclockmon/wmclockmon-0.8.1-alt2.1.src.rpm
Already up-to-date.
gear-srpmimport: Merged master branch into master branch

Как видно, в последней строке предпринимается попытка сделать merge указанного
бранча с мастером. Но так как указанный бранч и есть мастер, то не имеет смысла
этот merge делать.

Я прошу добавить дополнительную проверку, чтобы в подобном случае gear даже не
пытался проводить слияние.
------- Comment #1 From 2007-05-21 14:01:45 -------
Fixed in 1.2.5-alt1.